QGIS 3.2 takes very long to start up and uses very much memory
Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:3.2.1 Regression?: No

Operating System: Windows 10 64 Bit Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27308

Description

After updating to version 3.2, my QGIS Installation takes more than 20 minutes to start the program. After the start, it uses > 1GB of RAM

- without any project file opened.

During startup, the program quickly proceeds to a point, where the small startup screen says "Gespeicherte Stile werden geladen"

("Populate saved styles"?). There it remains for more than 20 minutes with qgis constantly using about 25 % of CPU power (= 1 core on

my 4 core machine).

Another machine here in our office is not affected. So I suspect, that my problem might be caused by a great number of custom styles,

that I have imported into my QGIS in the styles management window. Although the system started flawlessly in version 3.0 with the same

styles already imported. Sadly removing the imported styles did not resolve the issue.

For reproducing my suspicion, a zip with the xml file containing the style descriptions can be downloaded under the following link:

https://depot.bfn.de/ssf/s/readFile/share/3201/2319652617771772039/publicLink/GIS_Planzeichen_Download.zip

Associated revisions

Revision 3c8b156c - 2018-07-30 07:41 AM - Nyall Dawson

Abort expression parsing after encountering a maximum of 10 errors

Fixes #19480

Revision 23b76efe - 2018-07-30 07:42 AM - Nyall Dawson

Abort expression parsing after encountering a maximum of 10 errors

Fixes #19480

(cherry-picked from 3c8b156c)

History

#1 - 2018-07-26 08:26 AM - Giovanni Manghi

- Status changed from Open to Feedback

Try removing the entire .qgis3 folder, then try again and report back. Thanks.

#2 - 2018-07-26 04:23 PM - Holger Eberhardt
https://depot.bfn.de/ssf/s/readFile/share/3201/2319652617771772039/publicLink/GIS_Planzeichen_Download.zip


After your advice I searched a bit in the various QGIS3 folders and found a file named symbology-style.db in the folder

C:\Users\...\AppData\Roaming\QGIS\QGIS3\profiles\default

I removed (renamed) this file and now the program starts up quickly again.

Thanks for your hint!

P.S.: The size of the old file was 48.4 MB. The new file that QGIS created upon next start is 384 kB.

P.P.S.: So I can use QGIS 3 again, but I think, that it should be possible to store a few hundred styles without making the program nearly unusable.

#3 - 2018-07-26 04:38 PM - Alessandro Pasotti

If you were able to check with a few hundred styles, and possibly verify that this is in fact a regression over 2.x I think this would be a rather serious bug

that worths squashing.

#4 - 2018-07-26 05:12 PM - Giovanni Manghi

Alessandro Pasotti wrote:

If you were able to check with a few hundred styles, and possibly verify that this is in fact a regression over 2.x I think this would be a rather serious

bug that worths squashing.

I imported the provided styles in QGSI 2.18 and the restarted QGIS: all ok.

#5 - 2018-07-27 01:41 AM - Nyall Dawson

That download link isn't working - can you provide a new one?

#6 - 2018-07-27 02:21 PM - Holger Eberhardt

Nyall Dawson wrote:

That download link isn't working - can you provide a new one?

Hmmm? Just checked it and it works here.

#7 - 2018-07-27 03:10 PM - Jürgen Fischer

- Description updated

#8 - 2018-07-27 09:39 PM - Holger Eberhardt

Nyall Dawson wrote:

That download link isn't working - can you provide a new one?
I just uploaded the file to my dropbox account:

https://www.dropbox.com/s/nc87lm8xbu317m0/GIS_Planzeichen_Download.zip?dl=0

#9 - 2018-07-30 07:20 AM - Nyall Dawson

- File PlanZ_QGIS_LP_BfN.zip added

https://github.com/qgis/QGIS/pull/7501 Fixes this. But the underlying issue is a very bad (disabled) expression set for some symbol data defined

properties. This expression looks like a number of features pasted into the expression, which blows out the size of every symbol definition by an extra 290k

characters. I've attached a (hopefully) fixed version of the symbols below.

#10 - 2018-07-30 07:41 AM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Feedback to Closed

Applied in changeset commit:qgis|3c8b156c58fbaf42dd9f90ac2c0eb55f343d75b2.

Files

PlanZ_QGIS_LP_BfN.zip 34.9 KB 2018-07-30 Nyall Dawson
